<!--
  Generated template for the InterInventario page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
    <img class="logo1" src="img/logo_interna.png">
  </ion-navbar>
</ion-header>
<ion-content  >
  <div>
      <div class="title-section">
        Inventario
      </div>
      <div class="contenido-inventario">
          <ion-item class="input-inventario">
            <p>Implementador: Quasar</p>
          </ion-item>

          <ion-item class="input-inventario">
            <p>Código de Elemento: {{dataSend.code}}</p>
          </ion-item>

          <ion-item class="input-inventario">
            <p>Campaña: {{Store}}</p>
          </ion-item> 

          <ion-item class="input-inventario" >
          <ion-label>Estado</ion-label>
          <ion-select [(ngModel)]="Estado" >
            <ion-option value="Inventariado">Inventariado</ion-option>
            <ion-option value="No Encontrado">No Encontrado</ion-option>
          </ion-select>
          </ion-item>
          <ion-item class="input-inventario"  >
            <ion-label>Comentarios</ion-label>
            <ion-textarea [(ngModel)]="dataSend.comment"  placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="Estado == 'No Encontrado'">
            <ion-label>Motivo</ion-label>
            <ion-select name="status" [(ngModel)]="dataInstall.motive">
               <ion-option  value="Elemento extraviado">Elemento extraviado</ion-option>
              <ion-option  value="Elemento no autorizado para exhibición">Elemento Retirado de Exhibición</ion-option>
              <ion-option  value="Elemento fuera de vigencia">Elemento Fuera de Vigencia</ion-option>
              <ion-option  value="No autorizado para retiro">No Autorizado Para Retiro</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro' ">
            <p>Motivo: {{DatosOtros.motivo}}</p>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro' ">
            <p>Submotivo: {{DatosOtros.submotivo}}</p>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro' ">
            <ion-label>Categoria</ion-label>
            <ion-input [(ngModel)]="dataInstall.categoria" type="text"  lineHeight="22"></ion-input>
          </ion-item> 

          <ion-item class="input-inventario" *ngIf="Estado == 'No Encontrado'" >
            <ion-label>Submotivo</ion-label>
            <ion-select name="status" [(ngModel)]="dataInstall.submotive">
              <ion-option  value="Elemento extraviado en zona de exhibición">Elemento Extraviado en Zona de Exhibición</ion-option>
              <ion-option  value="Retirado sin motivo y/o autorización">Retirado Sin Motivo Y/O Autorión</ion-option>
              <ion-option  value="Elemento en mal estado">Elemento en Mal Estado</ion-option>
              <ion-option  value="Validado por personal de tienda">Validado Por Personal de Tienda</ion-option>
              <ion-option  value="Vigencia concluida, personal de tienda no autoriza el retiro">Vigencia Concluida, Personal de Tienda no Autoriza el Retiro</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="Estado == 'No Encontrado' || dataSend.implementer == 'otro' ">
            <ion-label>Observaciones</ion-label>
            <ion-textarea [(ngModel)]="dataInstall.comment"  placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>

      </div>
  </div>
  <div>
    <button ion-button full  (click)="foto()" class="foto"> <ion-icon class="icono-agregar" name="md-camera"></ion-icon> Tomar foto </button>
     <button ion-button full *ngIf="Estado == 'Inventariado'" (click)="EnviarInventarioOk()" class="foto maps"> <ion-icon class="check" name="ios-checkmark"></ion-icon>  Enviar </button>
     <button ion-button full *ngIf="Estado == 'No Encontrado' || dataSend.implementer == 'otro' " (click)="EnviarInventarioQuasar()" class="foto maps"> <ion-icon class="check" name="ios-checkmark"></ion-icon>  Enviar </button>
  </div>
  <img [src]="image" *ngIf="image" />
</ion-content>
